# usbhotkey script to enable plugins for X11 events
# Copyright (C) 2008  Lars Krueger
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA

# Idea:
# - Include this file in your key mapping engine
# - load your engine
# - define new my_UHK_key?? functions in a keypress plugin
# - optionally load a keypress plugin (e.g. key statistics)
# - the plugin intercepts and processes the X11 keypresses before sensding
#   them to the sever

# Applications
# - Key statistics for layout optimisation (with pass-through key mapping)
# - word prediction (dasher like)

# call the builtin keydown function
def my_UHK_keydn( key)
  UHK_keydn( key)
end

# call the builtin keyup function
def my_UHK_keyup( key)
  UHK_keyup( key)
end


